Bug 201242 - Fix interpretation of fraction shifts
Summary: Fix interpretation of fraction shifts
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: MathML (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Frédéric Wang (:fredw)
URL:
Keywords: InRadar
Depends on:
Blocks: mathml-core
  Show dependency treegraph
 
Reported: 2019-08-28 15:21 PDT by Frédéric Wang (:fredw)
Modified: 2019-09-04 07:11 PDT (History)
5 users (show)

See Also:


Attachments
Patch (WIP) (11.78 KB, patch)
2019-08-30 05:58 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch (11.83 KB, patch)
2019-08-30 06:14 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch (53.72 KB, patch)
2019-08-30 10:59 PDT, Frédéric Wang (:fredw)
ews: commit-queue-
Details | Formatted Diff | Diff
testcase (1.16 KB, text/html)
2019-08-30 11:01 PDT, Frédéric Wang (:fredw)
no flags Details
screenshot of testcase with webkitgtk (37.27 KB, image/png)
2019-08-30 11:08 PDT, Frédéric Wang (:fredw)
no flags Details
screenshot of testcase with webkitgtk, with patch applied (35.78 KB, image/png)
2019-08-30 11:08 PDT, Frédéric Wang (:fredw)
no flags Details
Archive of layout-test-results from ews213 for win-future (13.60 MB, application/zip)
2019-08-30 12:55 PDT, Build Bot
no flags Details
Patch (80.38 KB, patch)
2019-08-30 14:32 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff
Patch (80.42 KB, patch)
2019-08-30 16:24 PDT, Frédéric Wang (:fredw)
rbuis: review+
Details | Formatted Diff | Diff
Patch for landing (80.39 KB, patch)
2019-08-31 01:15 PDT, Frédéric Wang (:fredw)
commit-queue: commit-queue-
Details | Formatted Diff | Diff
Patch for landing (80.37 KB, patch)
2019-08-31 01:21 PDT, Frédéric Wang (:fredw)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Frédéric Wang (:fredw) 2019-08-28 15:21:11 PDT
See https://github.com/mathml-refresh/mathml/issues/123

Fraction shifts are with respect to baseline not math axis.
Comment 2 Frédéric Wang (:fredw) 2019-08-30 05:58:34 PDT
Created attachment 377702 [details]
Patch (WIP)
Comment 3 Frédéric Wang (:fredw) 2019-08-30 06:14:33 PDT
Created attachment 377703 [details]
Patch

There was a typo in my previous patch, this new version makes frac-parameters-1.html and frac-parameters-2.html pass again.
Comment 4 Frédéric Wang (:fredw) 2019-08-30 10:59:54 PDT
Created attachment 377728 [details]
Patch
Comment 5 Frédéric Wang (:fredw) 2019-08-30 11:01:13 PDT
Created attachment 377730 [details]
testcase
Comment 6 Frédéric Wang (:fredw) 2019-08-30 11:08:08 PDT
Created attachment 377731 [details]
screenshot of testcase with webkitgtk
Comment 7 Frédéric Wang (:fredw) 2019-08-30 11:08:35 PDT
Created attachment 377732 [details]
screenshot of testcase with webkitgtk, with patch applied
Comment 8 Build Bot 2019-08-30 12:55:39 PDT
Comment on attachment 377728 [details]
Patch

Attachment 377728 [details] did not pass win-ews (win):
Output: https://webkit-queues.webkit.org/results/12984841

New failing tests:
mathml/presentation/stretchy-depth-height-symmetric.html
mathml/presentation/roots.xhtml
Comment 9 Build Bot 2019-08-30 12:55:45 PDT
Created attachment 377742 [details]
Archive of layout-test-results from ews213 for win-future

The attached test failures were seen while running run-webkit-tests on the win-ews.
Bot: ews213  Port: win-future  Platform: CYGWIN_NT-10.0-17763-3.0.5-338.x86_64-x86_64-64bit
Comment 10 Frédéric Wang (:fredw) 2019-08-30 14:32:29 PDT
Created attachment 377751 [details]
Patch
Comment 11 Frédéric Wang (:fredw) 2019-08-30 16:24:06 PDT
Created attachment 377765 [details]
Patch
Comment 12 Rob Buis 2019-08-31 01:11:04 PDT
Comment on attachment 377765 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=377765&action=review

LGTM.

> LayoutTests/ChangeLog:3
> +        Bug 201242 - Fix interpretation of fraction shifts

No need for Bug * part.

> LayoutTests/imported/w3c/ChangeLog:3
> +        Bug 201242 - Fix interpretation of fraction shifts

Ditto.

> Source/WebCore/rendering/mathml/RenderMathMLFraction.cpp:93
> +    // See https://mathml-refresh.github.io/mathml-core/#fraction-with-nonzero-line-thickness

I think comments end with period, period.

> Source/WebCore/rendering/mathml/RenderMathMLFraction.cpp:131
> +    // See https://mathml-refresh.github.io/mathml-core/#fraction-with-zero-line-thickness

Ditto.
Comment 13 Frédéric Wang (:fredw) 2019-08-31 01:15:53 PDT
Created attachment 377790 [details]
Patch for landing
Comment 14 WebKit Commit Bot 2019-08-31 01:17:36 PDT
Comment on attachment 377790 [details]
Patch for landing

Rejecting attachment 377790 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-01', 'validate-changelog', '--check-oops', '--non-interactive', 377790, '--port=mac']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

ChangeLog entry in LayoutTests/ChangeLog contains OOPS!.

Full output: https://webkit-queues.webkit.org/results/12986844
Comment 15 Frédéric Wang (:fredw) 2019-08-31 01:21:45 PDT
Created attachment 377791 [details]
Patch for landing
Comment 16 WebKit Commit Bot 2019-08-31 02:05:12 PDT
Comment on attachment 377791 [details]
Patch for landing

Clearing flags on attachment: 377791

Committed r249360: <https://trac.webkit.org/changeset/249360>
Comment 17 Radar WebKit Bug Importer 2019-09-04 07:11:35 PDT
<rdar://problem/55017979>